QGIS Application - Bug report #21140
Failed Connected in Geonode Instance
2019-01-31 10:07 AM - Jodo Gaspar

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/GeoNode

Affected QGIS version:3.4.4 Regression?: No
Operating System: Win10 an Win7 64-bits Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 28958
Description

Following this video

[[https://www.youtube.com/watch?v=I3j-9 _AxpEo&#38;t=166s]] and using the demo link: [[http://demo.geonode.org]] or using the new site

[[http://master.demo.geonode.org]] had a result a failed connection.

Tested in QGIS 3.2 and QGIS 3.4.4 and have the same behaviour.

Can anyone give feedback if it is a regression or the above link is incorrectly.

Related issues:
Duplicates QGIS Application - Bug report # 21093: GeoNode API requests requir... Closed

2019-01-25

Associated revisions

Revision 440f8d4c - 2019-02-08 06:44 AM - Alexander Bruy

[geonode] more robust version string parsing (fix #21093, #21140)

Revision 3d12f834 - 2019-02-10 06:38 AM - Alexander Bruy

[geonode] more robust version string parsing (fix #21093, #21140)

(cherry picked from commit 440f8d4cbb655942f868dde9ab23b0cc5d69c3b2)

History

#1 - 2019-01-31 10:56 AM - Alexander Bruy

Probably related to #21093

#2 - 2019-01-31 11:11 AM - Giovanni Manghi

- Status changed from Open to Feedback

#3 - 2019-01-31 01:16 PM - Jodo Gaspar

| confirm. This issue is related with #21093

When | try to add with master give me a warning in the log:

2019-01-31T12:10:24 WARNING Request failed: Error transferring http://dev.geonode.geo-solutions.it/api/layers//api/layers/ - server replied:
https://www.youtube.com/watch?v=I3j-9_AxpEo&#38;t=166s
http://demo.geonode.org
http://master.demo.geonode.org

Not Found
2019-01-31T12:13:05 WARNING Failed, empty layers

#4 - 2019-02-01 07:17 AM - Alexander Bruy

- Related to Bug report #21093: GeoNode API requests require a stronger minor version parsing added

#5 - 2019-02-01 09:25 AM - Giovanni Allegri

Yes Joao, it's the same issue as in #21093. Anyway from the log you're showing it seems that you're setting the <root>/api/layers URL for the connection,

while only the <root> URL must be set.

#6 - 2019-02-01 11:19 AM - Jodo Gaspar

Hi Giovanni, yes indeed this was a secondary test when | see #21093 (referenced by Alexander).

Thank you for all your feedback, | will wait for the evolution of this, after the fix | can back again and do the tests if you want.

Cheers,

Jodo

#7 - 2019-02-06 06:39 PM - Alexander Bruy
- Status changed from Feedback to Closed
- Resolution set to duplicate

Duplicates #21093

#8 - 2019-02-06 06:40 PM - Alexander Bruy

- Related to deleted (Bug report #21093: GeoNode API requests require a stronger minor version parsing)

#9 - 2019-02-06 06:40 PM - Alexander Bruy

- Duplicates Bug report #21093: GeoNode API requests require a stronger minor version parsing added
